---
- name: Install Firewalld
  ansible.builtin.zypper:
    name: firewalld
    state: latest
    update_cache: true

- name: Enable firewald service
  ansible.builtin.service:
    name: firewalld
    state: started
    enabled: true

- name: Enable Services and ports
  block:
    - name: Create custom Web Zone
      ansible.builtin.shell: |
        firewall-cmd --permanent --new-zone=apacheweb
        
    - name: Open HTTP/HTTPS on firewalld
      ansible.builtin.shell: |
        firewall-cmd --zone=apacheweb --permanent --add-service=http
        firewall-cmd --zone=apacheweb --permanent --add-service=https

    - name: Open HTTP/HTTPS on firewalld
      ansible.builtin.shell:
        cmd: "firewall-cmd --zone=apacheweb --permanent --add-port={{ item }}/tcp"
      with_items: "{{ apache['ports'] }}"

    - name: Restart Firewalld
      service:
        name: firewalld
        state: restarted

